aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2014-09-19 17:54:59 -0300
committerSilvio Rhatto <rhatto@riseup.net>2014-09-19 17:54:59 -0300
commit326156b7dc1e7657bfb27136c9075f1b483d751d (patch)
tree1b590b02656143bfa52fbff67219815963aef87b
parente02089f53a8887f24bccccd73b8cde3e8bfe6067 (diff)
downloaddebian-326156b7dc1e7657bfb27136c9075f1b483d751d.tar.gz
debian-326156b7dc1e7657bfb27136c9075f1b483d751d.tar.bz2
Alternative B90lintian
-rwxr-xr-xconfig.dot/pbuilder/hooks/B90lintian.link21
1 files changed, 21 insertions, 0 deletions
diff --git a/config.dot/pbuilder/hooks/B90lintian.link b/config.dot/pbuilder/hooks/B90lintian.link
new file mode 100755
index 0000000..625625d
--- /dev/null
+++ b/config.dot/pbuilder/hooks/B90lintian.link
@@ -0,0 +1,21 @@
+#!/bin/bash
+#
+# We could just symlink /usr/share/doc/pbuilder/examples/B90lintian
+# but we dont want lintian to faild the build.
+#
+
+set -e
+
+install_packages() {
+ apt-get -y "${APTGETOPT[@]}" install "$@"
+}
+
+install_packages lintian
+
+echo "+++ lintian output +++"
+
+#su -c "lintian -I --show-overrides /tmp/buildd/*.changes" - pbuilder
+# use this version if you don't want lintian to fail the build
+su -c "lintian -I --show-overrides /tmp/buildd/*.changes; :" - pbuilder
+
+echo "+++ end of lintian output +++"